# class FileServing::Mount

Broker access to the filesystem, converting local URIs into metadata or content objects.

### Attributes

name[R]

### Public Class Methods

new(name) click to toggle source

Create our object. It must have a name.

Calls superclass method Puppet::Network::AuthStore.new

    # File lib/puppet/file_serving/mount.rb, line 19
    def initialize(name)
      unless name =~ %r{^[-\w]+$}
        raise ArgumentError, "Invalid mount name format '#{name}'"
      end
      @name = name

      super()
    end

### Public Instance Methods

find(path, options) click to toggle source

    # File lib/puppet/file_serving/mount.rb, line 14
    def find(path, options)
      raise NotImplementedError
    end

search(path, options) click to toggle source

    # File lib/puppet/file_serving/mount.rb, line 28
    def search(path, options)
      raise NotImplementedError
    end

to_s() click to toggle source

    # File lib/puppet/file_serving/mount.rb, line 32
    def to_s
      "mount[#{@name}]"
    end

validate() click to toggle source

A noop.

    # File lib/puppet/file_serving/mount.rb, line 37
    def validate
    end